## org.apache.poi.hwpf.model
Class CHPBinTable

    java.lang.Object
      org.apache.poi.hwpf.model.CHPBinTable

Direct Known Subclasses:
  OldCHPBinTable

    @Internal
    public class CHPBinTable

extends java.lang.Object

This class holds all of the character formatting properties.

Author:
  Ryan Ackley

Field Summary
`protected java.util.ArrayList<CHPX>` `_textRuns` List of character properties.

Constructor Summary
`CHPBinTable()`
`CHPBinTable(byte[] documentStream, byte[] tableStream, int offset, int size, CharIndexTranslator translator)` Constructor used to read a binTable in from a Word document.
`CHPBinTable(byte[] documentStream, byte[] tableStream, int offset, int size, int fcMin, TextPieceTable tpt)` Deprecated. Use `CHPBinTable(byte[], byte[], int, int, CharIndexTranslator)` instead

Method Summary
`void` `adjustForDelete(int listIndex, int offset, int length)`
`void` `adjustForInsert(int listIndex, int length)`
`java.util.List<CHPX>` `getTextRuns()`
`void` `insert(int listIndex, int cpStart, SprmBuffer buf)`
`void` `rebuild(ComplexFileTable complexFileTable)`
`void` `writeTo(HWPFFileSystem sys, int fcMin, CharIndexTranslator translator)` Deprecated.
`void` `writeTo(HWPFOutputStream wordDocumentStream, HWPFOutputStream tableStream, int fcMin, CharIndexTranslator translator)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _textRuns

    protected java.util.ArrayList<CHPX> _textRuns

  List of character properties.

Constructor Detail

### CHPBinTable

    public CHPBinTable()

### CHPBinTable

    public CHPBinTable(byte[] documentStream,
                       byte[] tableStream,
                       int offset,
                       int size,
                       int fcMin,
                       TextPieceTable tpt)

  Deprecated. Use `CHPBinTable(byte[], byte[], int, int, CharIndexTranslator)` instead

  Constructor used to read a binTable in from a Word document.

### CHPBinTable

    public CHPBinTable(byte[] documentStream,
                       byte[] tableStream,
                       int offset,
                       int size,
                       CharIndexTranslator translator)

  Constructor used to read a binTable in from a Word document.

Method Detail

### rebuild

    public void rebuild(ComplexFileTable complexFileTable)

### adjustForDelete

    public void adjustForDelete(int listIndex,
                                int offset,
                                int length)

### insert

    public void insert(int listIndex,
                       int cpStart,
                       SprmBuffer buf)

### adjustForInsert

    public void adjustForInsert(int listIndex,
                                int length)

### getTextRuns

    public java.util.List<CHPX> getTextRuns()

### writeTo

    @Deprecated
    public void writeTo(HWPFFileSystem sys,
                                   int fcMin,
                                   CharIndexTranslator translator)
                 throws java.io.IOException

  Deprecated.

  Throws:
    `java.io.IOException`

### writeTo

    public void writeTo(HWPFOutputStream wordDocumentStream,
                        HWPFOutputStream tableStream,
                        int fcMin,
                        CharIndexTranslator translator)
                 throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.